Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface KeyboardEvent

All Superinterfaces:
  Event, UIEvent

All Known Implementing Classes:
  DOMKeyboardEvent

    public interface KeyboardEvent

extends UIEvent

The `KeyboardEvent` interface provides specific contextual information associated with keyboard devices. Each keyboard event references a key using an identifier. Keyboard events are commonly directed at the element that has the focus.

The `KeyboardEvent` interface provides convenient attributes for some common modifiers keys: `KeyboardEvent.ctrlKey`, `KeyboardEvent.shiftKey`, `KeyboardEvent.altKey`, `KeyboardEvent.metaKey`. These attributes are equivalent to use the method `KeyboardEvent.getModifierState(keyIdentifierArg)` with "Control", "Shift", "Alt", or "Meta" respectively.

To create an instance of the `KeyboardEvent` interface, use the `DocumentEvent.createEvent("KeyboardEvent")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 3

Field Summary
`static int` | `DOM_KEY_LOCATION_LEFT` The key activated is in the left key location (there is more than one possible location for this key).
`static int` | `DOM_KEY_LOCATION_NUMPAD` The key activation originated on the numeric keypad or with a virtual key corresponding to the numeric keypad.
`static int` | `DOM_KEY_LOCATION_RIGHT` The key activation is in the right key location (there is more than one possible location for this key).
`static int` | `DOM_KEY_LOCATION_STANDARD` The key activation is not distinguished as the left or right version of the key, and did not originate from the numeric keypad (or did not originate with a virtual key corresponding to the numeric keypad).

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`boolean` | `getAltKey()` `true` if the alternative (Alt) key modifier is activated.
`boolean` | `getCtrlKey()` `true` if the control (Ctrl) key modifier is activated.
`String` | `getKeyIdentifier()` `keyIdentifier` holds the identifier of the key.
`int` | `getKeyLocation()` The `keyLocation` attribute contains an indication of the location of they key on the device, as described in .
`boolean` | `getMetaKey()` `true` if the meta (Meta) key modifier is activated.
`boolean` | `getModifierState(String keyIdentifierArg)` This methods queries the state of a modifier using a key identifier.
`boolean` | `getShiftKey()` `true` if the shift (Shift) key modifier is activated.
`void` | `initKeyboardEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, String keyIdentifierArg, int keyLocationArg, String modifiersList)` The `initKeyboardEvent` method is used to initialize the value of a `KeyboardEvent` object and has the same behavior as `UIEvent.initUIEvent()`.
`void` | `initKeyboardEventNS(String namespaceURI, String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, String keyIdentifierArg, int keyLocationArg, String modifiersList)` The `initKeyboardEventNS` method is used to initialize the value of a `KeyboardEvent` object and has the same behavior as `UIEvent.initUIEventNS()`.

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent, initUIEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### DOM_KEY_LOCATION_STANDARD

    static final int DOM_KEY_LOCATION_STANDARD

  The key activation is not distinguished as the left or right version of the key, and did not originate from the numeric keypad (or did not originate with a virtual key corresponding to the numeric keypad). Example: the 'Q' key on a PC 101 Key US keyboard.

  See Also:
    Constant Field Values

### DOM_KEY_LOCATION_LEFT

    static final int DOM_KEY_LOCATION_LEFT

  The key activated is in the left key location (there is more than one possible location for this key). Example: the left Shift key on a PC 101 Key US keyboard.

  See Also:
    Constant Field Values

### DOM_KEY_LOCATION_RIGHT

    static final int DOM_KEY_LOCATION_RIGHT

  The key activation is in the right key location (there is more than one possible location for this key). Example: the right Shift key on a PC 101 Key US keyboard.

  See Also:
    Constant Field Values

### DOM_KEY_LOCATION_NUMPAD

    static final int DOM_KEY_LOCATION_NUMPAD

  The key activation originated on the numeric keypad or with a virtual key corresponding to the numeric keypad. Example: the '1' key on a PC 101 Key US keyboard located on the numeric pad.

  See Also:
    Constant Field Values

Method Detail

### getKeyIdentifier

    String getKeyIdentifier()

  `keyIdentifier` holds the identifier of the key. The key identifiers are defined in Appendix A.2 "". Implementations that are unable to identify a key must use the key identifier `"Unidentified"`.

### getKeyLocation

    int getKeyLocation()

  The `keyLocation` attribute contains an indication of the location of they key on the device, as described in .

### getCtrlKey

    boolean getCtrlKey()

  `true` if the control (Ctrl) key modifier is activated.

### getShiftKey

    boolean getShiftKey()

  `true` if the shift (Shift) key modifier is activated.

### getAltKey

    boolean getAltKey()

  `true` if the alternative (Alt) key modifier is activated.

  Note: The Option key modifier on Macintosh systems must be represented using this key modifier.

### getMetaKey

    boolean getMetaKey()

  `true` if the meta (Meta) key modifier is activated.

  Note: The Command key modifier on Macintosh systems must be represented using this key modifier.

### getModifierState

    boolean getModifierState(String keyIdentifierArg)

  This methods queries the state of a modifier using a key identifier. See also .

  Parameters:
    `keyIdentifierArg` - A modifier key identifier. Common modifier keys are `"Alt"`, `"AltGraph"`, `"CapsLock"`, `"Control"`, `"Meta"` , `"NumLock"`, `"Scroll"`, or `"Shift"`.

    Note: If an application wishes to distinguish between right and left modifiers, this information could be deduced using keyboard events and `KeyboardEvent.keyLocation`.

  Returns:
    `true` if it is modifier key and the modifier is activated, `false` otherwise.

### initKeyboardEvent

    void initKeyboardEvent(String typeArg,
                           boolean canBubbleArg,
                           boolean cancelableArg,
                           AbstractView viewArg,
                           String keyIdentifierArg,
                           int keyLocationArg,
                           String modifiersList)

  The `initKeyboardEvent` method is used to initialize the value of a `KeyboardEvent` object and has the same behavior as `UIEvent.initUIEvent()`. The value of `UIEvent.detail` remains undefined.

  Parameters:
    `typeArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `keyIdentifierArg` - Specifies `KeyboardEvent.keyIdentifier`.
    `keyLocationArg` - Specifies `KeyboardEvent.keyLocation` .
    `modifiersList` - A white space separated list of modifier key identifiers to be activated on this object.

### initKeyboardEventNS

    void initKeyboardEventNS(String namespaceURI,
                             String typeArg,
                             boolean canBubbleArg,
                             boolean cancelableArg,
                             AbstractView viewArg,
                             String keyIdentifierArg,
                             int keyLocationArg,
                             String modifiersList)

  The `initKeyboardEventNS` method is used to initialize the value of a `KeyboardEvent` object and has the same behavior as `UIEvent.initUIEventNS()`. The value of `UIEvent.detail` remains undefined.

  Parameters:
    `namespaceURI` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `keyIdentifierArg` - Refer to the `KeyboardEvent.initKeyboardEvent()` method for a description of this parameter.
    `keyLocationArg` - Refer to the `KeyboardEvent.initKeyboardEvent()` method for a description of this parameter.
    `modifiersList` - A white space separated list of modifier key identifiers to be activated on this object. As an example, `"Control Alt"` will activated the control and alt modifiers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.